# ImagePreview(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``ImagePreview`(bpy_struct)

  Preview image and icon

  `icon_id`

    Unique integer identifying this preview as an icon (zero means invalid)

    Type: | int in [-inf, inf], default 0, (readonly)

  `icon_pixels`

    Icon pixels, as bytes (always RGBA 32bits)

    Type: | int in [-inf, inf], default 0

  `icon_pixels_float`

    Icon pixels components, as floats (RGBA concatenated values)

    Type: | float in [-inf, inf], default 0.0

  `icon_size`

    Width and height in pixels

    Type: | int array of 2 items in [-inf, inf], default (0, 0)

  `image_pixels`

    Image pixels, as bytes (always RGBA 32bits)

    Type: | int in [-inf, inf], default 0

  `image_pixels_float`

    Image pixels components, as floats (RGBA concatenated values)

    Type: | float in [-inf, inf], default 0.0

  `image_size`

    Width and height in pixels

    Type: | int array of 2 items in [-inf, inf], default (0, 0)

  `is_icon_custom`

    True if this preview icon has been modified by py script,and is no more auto-generated by Blender

    Type: | boolean, default False

  `is_image_custom`

    True if this preview image has been modified by py script,and is no more auto-generated by Blender

    Type: | boolean, default False

  `reload`()

    Reload the preview from its source path

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`ID.preview` |